# Class TimeoutDumpTimer

java.lang.Object
java.util.TimerTask
org.eclipse.ui.testing.dumps.TimeoutDumpTimer

All Implemented Interfaces:
  `Runnable`

public class TimeoutDumpTimer extends TimerTask
Starts a task which will dump stack trace information and a screenshot after some time. Necessary to know whether and where tests are hanging if a timeout occurred during tests.

Since:
  0.15

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
`static void`
`startTimeoutDumpTimer(String timeoutArg)`
Starts a timer that dumps interesting debugging information shortly before the given timeout expires.
`static void`
`startTimeoutDumpTimer(String timeoutArg, File outputDirectory)`
Starts a timer that dumps interesting debugging information shortly before the given timeout expires.

### Methods inherited from class TimerTask

`cancel, scheduledExecutionTime`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### startTimeoutDumpTimer

public static void startTimeoutDumpTimer(String timeoutArg)
Starts a timer that dumps interesting debugging information shortly before the given timeout expires.

Parameters:
  `timeoutArg` - the value of the -timeout argument from the command line

### startTimeoutDumpTimer

public static void startTimeoutDumpTimer(String timeoutArg, File outputDirectory)
Starts a timer that dumps interesting debugging information shortly before the given timeout expires.

Parameters:
  `timeoutArg` - the -timeout argument from the command line
  `outputDirectory` - where the test results end up

### run

public void run()

Specified by:
  `run` in interface `Runnable`
Specified by:
  `run` in class `TimerTask`